
const {DynamicArray} = require('./dynamic-array')

function println(o) { console.log(o.toString()); }

var dynArray;
dynArray = DynamicArray.from([]);
println("\n" + dynArray.toString());
println('Is Empty: ' + dynArray.isEmpty());
println('Size: ' + dynArray.size());
try {
    println(dynArray.first());
} catch(e) {
    println('Exception thrown: ' + e.toString());
}

dynArray = DynamicArray.from([10, 11, 20, 30, 31, 40]);
println("\n" + dynArray.toString());
println('Is Empty: ' + dynArray.isEmpty());
println('Size: ' + dynArray.size());
println('First matching 30: ' + dynArray.findFirst(next => next == 30))
println('Odd Numbers: ' + dynArray.select(next => next % 2 == 1));